Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# Point2DConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename P>
struct boost::gil::Point2DConcept< P >

2-dimensional point concept

    concept Point2DConcept<typename T> : PointNDConcept<T> {
        where num_dimensions == 2;
        where SameType<axis<0>::type, axis<1>::type>;

        typename value_type = axis<0>::type;

        const value_type& operator[](const T&, size_t i);
              value_type& operator[](      T&, size_t i);

        value_type x,y;
    };

## Public Member Functions

void | constraints ()

## Public Attributes

P | point

The documentation for this struct was generated from the following file:

- gil_concept.hpp